package cn.com.poc.common.service;

import cn.com.poc.common.model.BizFileUploadRecordModel;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizFileUploadRecordService extends BaseService {

    String getFileNameByFileUrl(String fileUrl);

    BizFileUploadRecordModel get(Long id) throws Exception;
    
    List<BizFileUploadRecordModel> findByExample(BizFileUploadRecordModel example,PagingInfo pagingInfo) throws Exception;

    List<BizFileUploadRecordModel> findByFileLink(List<String> fileLink) throws Exception;
    
    void delete(BizFileUploadRecordModel model) throws Exception;
    
    void deleteById(Long id) throws Exception;
    
    void deleteAll(Collection<Long> ids) throws Exception;
    
    BizFileUploadRecordModel save(BizFileUploadRecordModel model) ;
    
    Collection<BizFileUploadRecordModel> saveAll(Collection<BizFileUploadRecordModel> models) throws Exception;
    
}